unit GenFileLocation;

interface


uses
    System.Classes,
    sysUtils;


type TGenFileLocation = class

private

function GenFilePath(sRecPath: string) : string;

public

function GenRecordingFilePath(nSessionId : Integer; sRecPath : string) : string;


end;

implementation



function TGenFileLocation.GenFilePath(sRecPath: string) : string;
var
  sFullPath : string;
  sCurrentdir : string;
  nErrorCode : Integer;
  today : TDateTime;
  dwYear, dwMonth, dwDay : Word;
  nPosition : Integer;

begin

      if(sRecPath = '') Then
      begin
           Result := '';
           Exit('');
      end;

        today := Now;
        DecodeDate(today, dwYear, dwMonth, dwDay);

        sCurrentdir := GetCurrentDir();

        nPosition := AnsiPos(':\', sRecPath);

        if nPosition = 0  Then
        begin
             sRecPath := sCurrentdir + '\' + sRecPath;
        end;

        sFullPath := Format('%s\%d\%d\%d', [sRecPath , dwYear, dwMonth, dwDay]);

        if(ForceDirectories(sFullPath) = False) then
        begin
            nErrorCode := GetLastError();
            Exit('');
        end;

        Result := sFullPath;
end;

function TGenFileLocation.GenRecordingFilePath(nSessionId : Integer; sRecPath : string) : string;
var
sDirectoryPath : string;
begin
      if(sRecPath = '') Then
      begin
           Exit('');
      end;

      sDirectoryPath :=  GenFilePath(sRecPath);

      if(sDirectoryPath = '') Then
      begin
           Exit('');
      end;

      Result := Format('%s\%d.wav', [sDirectoryPath , nSessionId]);
end;

end.
