unit Codec;

Interface

uses

  Winapi.Windows, Winapi.Messages, System.SysUtils,
  VaxServerCOM;

type TCodec = class

  const AUDIO_CODEC_NAME_GSM610 = 'GSM6.10';
  const AUDIO_CODEC_NAME_ILBC = 'iLBC';
  const AUDIO_CODEC_NAME_G711A = 'G711a-Law';
  const AUDIO_CODEC_NAME_G711U = 'G711u-Law';
  const AUDIO_CODEC_NAME_G729 = 'G729';

  public

  class function GetCodecNo(sCodecName: string): string; static;
  class function GetCodecName(sCodecNo: string): string; overload;
  class function GetCodecName(nCodecNo: Integer): string; overload;

end;


implementation

  class function TCodec.GetCodecNo(sCodecName: string): string;
  var
    arrCodecList : Array[0..4] of string;
    nIndex : Integer;
  begin

    arrCodecList[0] := AUDIO_CODEC_NAME_GSM610;
    arrCodecList[1] := AUDIO_CODEC_NAME_ILBC;
    arrCodecList[2] := AUDIO_CODEC_NAME_G711A;
    arrCodecList[3] := AUDIO_CODEC_NAME_G711U;
    arrCodecList[4] := AUDIO_CODEC_NAME_G729;

    for nIndex := 0 to TVaxServerCOM.VAX_CODEC_TOTAL_COUNT - 1 do
    begin
      if(sCodecName <> arrCodecList[nIndex]) then
        continue;

      Result := IntToStr(nIndex);
      exit;
    end;

  end;

  class function TCodec.GetCodecName(sCodecNo: string): string;
  var
    nCodecNo: Integer;
  begin

    nCodecNo := StrToInt(sCodecNo);
    Result := TCodec.GetCodecName(nCodecNo);

  end;

  class function TCodec.GetCodecName(nCodecNo: Integer): String;
  begin

    case nCodecNo Of
      TVaxServerCOM.VAX_CODEC_G711U:
        Result := AUDIO_CODEC_NAME_G711U;

      TVaxServerCOM.VAX_CODEC_G711A:
        Result := AUDIO_CODEC_NAME_G711A;

      TVaxServerCOM.VAX_CODEC_ILBC:
        Result := AUDIO_CODEC_NAME_ILBC;

      TVaxServerCOM.VAX_CODEC_GSM610:
        Result := AUDIO_CODEC_NAME_GSM610;

      TVaxServerCOM.VAX_CODEC_G729:
        Result := AUDIO_CODEC_NAME_G729;
    end;

  end;

end.
