unit MainFormDlg;

interface

uses
  Winapi.Windows, Winapi.Messages,
  System.SysUtils, System.Variants, System.Classes,
  Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs,
  Vcl.ComCtrls, Vcl.OleServer,

  GeneralDlg,
  AddLoginDlg,

  AddLineDlg,
  StatusLogDlg,

  VaxServerREC;

Type TMainForm = class(TForm)
    TabPageControlMain: TPageControl;
    TabPageGeneral: TTabSheet;
    TabPageLogin: TTabSheet;
    TabPageLine: TTabSheet;
    TabPageStatusLog: TTabSheet;

  procedure OnCreate(Sender: TObject);
  procedure OnMainTab_Click(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
  procedure OnClose(Sender: TObject; var Action: TCloseAction);

  private

  m_objGeneralDlg : TGeneralForm;
  m_objAddLoginDlg : TAddLoginForm;

  m_objAddLineDlg : TAddLineForm;
  m_objStatusLogDlg : TStatusLogForm;

  private
  m_objVaxServerREC : TVaxServerREC;

end;

var
  MainForm: TMainForm;

implementation

{$R *.dfm}

  procedure TMainForm.OnClose(Sender: TObject; var Action: TCloseAction);
  begin
    m_objVaxServerREC.StopServer();
  end;

  procedure TMainForm.OnCreate(Sender: TObject);
  begin

    m_objVaxServerREC := TVaxServerREC.Create();

    m_objGeneralDlg := TGeneralForm.Create(TabPageGeneral);
    m_objGeneralDlg.Parent := TabPageGeneral;
    m_objGeneralDlg.Align := alClient;
    m_objGeneralDlg.Visible := true;

    m_objAddLoginDlg := TAddLoginForm.Create(TabPageLogin);
    m_objAddLoginDlg.Parent := TabPageLogin;
    m_objAddLoginDlg.Align := alClient;
    m_objAddLoginDlg.Visible := true;

    m_objAddLineDlg := TAddLineForm.Create(TabPageLine);
    m_objAddLineDlg.Parent := TabPageLine;
    m_objAddLineDlg.Align := alClient;
    m_objAddLineDlg.Visible := true;

    m_objStatusLogDlg := TStatusLogForm.Create(TabPageStatusLog);
    m_objStatusLogDlg.Parent := TabPageStatusLog;
    m_objStatusLogDlg.Align := alClient;
    m_objStatusLogDlg.Visible := true;

    m_objVaxServerREC.m_objStatusLogDlg := m_objStatusLogDlg;

  end;

  procedure TMainForm.OnMainTab_Click(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
  begin

    if(TabPageControlMain.ActivePage = TabPageControlMain.Pages[0]) then
      m_objGeneralDlg.OnSetActive();

    if TabPageControlMain.ActivePage = TabPageControlMain.Pages[1] then
      m_objAddLoginDlg.OnSetActive();

    if TabPageControlMain.ActivePage = TabPageControlMain.Pages[2] then
      m_objAddLineDlg.OnSetActive();

  end;

end.
