unit VaxCallSessionList;

Interface

uses

  System.SysUtils, System.Classes, Generics.Collections,
  VaxCallSession;

type TVaxCallSessionList = class

  private
  m_objDataList: TObjectDictionary<Integer, TVaxCallSession>;

  public
  constructor Create();

  procedure AddSession(nSessionId: Integer);
  function GetSession(nSessionId: Integer): TVaxCallSession;
  function IsExist(nSessionId: Integer): Boolean;

  procedure RemoveSession(nSessionId: Integer);
  procedure ClearAll();

end;

implementation


  constructor TVaxCallSessionList.Create();
  begin
    m_objDataList := TObjectDictionary<Integer, TVaxCallSession>.Create([doOwnsValues], 4096);
  end;


  procedure TVaxCallSessionList.AddSession(nSessionId: Integer);
  var
    objData: TVaxCallSession;
  begin
    m_objDataList.Remove(nSessionId);

    objData := TVaxCallSession.Create();
    m_objDataList.Add(nSessionId, objData);
  end;


  function TVaxCallSessionList.GetSession(nSessionId: Integer): TVaxCallSession;
  var
    objData: TVaxCallSession;
    bResult: Boolean;
  begin
    bResult := m_objDataList.TryGetValue(nSessionId, objData);
    if(bResult = False) then Exit(nil);

    Result := objData;
  end;


  function TVaxCallSessionList.IsExist(nSessionId: Integer): Boolean;
  var
    objData: TVaxCallSession;
  begin
    Result := m_objDataList.TryGetValue(nSessionId, objData);
  end;


  procedure TVaxCallSessionList.RemoveSession(nSessionId: Integer);
  begin
    m_objDataList.Remove(nSessionId);
  end;


  procedure TVaxCallSessionList.ClearAll();
  begin
    m_objDataList.Clear;
  end;

end.

