unit VaxUserList;

Interface

uses

  System.SysUtils, System.Classes,
  VaxHashText;

type TVaxUserList = class

  private
  m_objDataList: TVaxHashText;

  public
  constructor Create();

  procedure AddUser(sUserName: String);
  function GetUser(sUserName: String): TObject;
  function IsExist(sUserName: String): Boolean;

  procedure RemoveUser(sUserName: String);
  procedure GetUserAll(var objList: TStringList);
  procedure ClearAll();

end;

implementation

Uses VaxUser;

  constructor TVaxUserList.Create();
  begin
    m_objDataList := TVaxHashText.Create(1024);
  end;

  procedure TVaxUserList.AddUser(sUserName: String);
  var
    objUser: TVaxUser;
  begin
    objUser := TVaxUser.Create(sUserName);
    m_objDataList.AddData(sUserName, objUser);
  end;

  function TVaxUserList.GetUser(sUserName: String): TObject;
  begin
    Result := TVaxUser(m_objDataList.FindData(sUserName));
  end;

  function TVaxUserList.IsExist(sUserName: String): Boolean;
  begin
    Result := m_objDataList.IsExistData(sUserName);
  end;

  procedure TVaxUserList.RemoveUser(sUserName: String);
  begin
    m_objDataList.RemoveData(sUserName);
  end;

  procedure TVaxUserList.GetUserAll(var objList: TStringList);
  begin
    m_objDataList.GetNameAll(objList);
  end;

  procedure TVaxUserList.ClearAll();
  begin
    m_objDataList.ClearAll();
  end;

end.

