﻿unit StoreCOMM;

Interface

uses

  Winapi.Windows,
  Winapi.Messages,
  System.SysUtils,
  System.Classes,
  StoreRegistry, VaxServerCOM, VaxDefine;

type TStoreCOMM = class

  private
  const COMM_ROOT_PATH = 'COMM\\';

  public
  class function SetListenPortSIP(nListenPort: Integer): Boolean; static;
  class procedure GetListenPortSIP(var nListenPort: Integer); static;

  class function IsDataStored(): Boolean; static;

end;


implementation

  //////////////////////////////////////////////////////////////////////
  //////////////////////////////////////////////////////////////////////

  class function TStoreCOMM.SetListenPortSIP(nListenPort: Integer): Boolean;
  var
    sKeyPath: String;
    objStore: TStoreRegistry;
  begin

    sKeyPath := COMM_ROOT_PATH;
    objStore := TStoreRegistry.Create();

    objStore.SetINT(sKeyPath, 'ListenPortSIP', nListenPort);
    objStore.Destroy();

    Result := True;

  end;

  class procedure TStoreCOMM.GetListenPortSIP(var nListenPort: Integer);
  var
    sKeyPath: String;
    objStore: TStoreRegistry;
  begin
    sKeyPath := COMM_ROOT_PATH;
    objStore := TStoreRegistry.Create();

    objStore.GetINT(sKeyPath, 'ListenPortSIP', nListenPort, TVaxServerCOM.SIP_DEFAULT_PORT);
    objStore.Destroy();
  end;

  //////////////////////////////////////////////////////////////////////
  //////////////////////////////////////////////////////////////////////

  class function TStoreCOMM.IsDataStored(): Boolean;
  var
     objStore: TStoreRegistry;
  begin
    objStore := TStoreRegistry.Create();
    Result := objStore.IsKeyExist(COMM_ROOT_PATH);
    objStore.Destroy();
  end;


end.
